#****************************************************************************
#**
#**  File     :  /cdimage/units/UAB2301/UAB2301_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Heavy Gun Tower Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
#	                    local data = {
#	                        Radius = self:GetBlueprint().CameraVisionRadius or 5,
#	                        Lifetime = self:GetBlueprint().CameraLifetime or 5,
#	                        Army = self.unit:GetArmy(),
#	                    }

local WeaponFile = import('/lua/modules/defaultweapons.lua')
local DefaultProjectileWeapon = WeaponFile.DefaultProjectileWeapon
local AStructureUnit = import('/lua/modules/aeonunits.lua').AStructureUnit

ADFCannonOblivionWeapon = Class(DefaultProjectileWeapon) {
    FxMuzzleFlash = {  
		'/effects/emitters/oblivion_cannon_flash_01_emit.bp',
        '/effects/emitters/oblivion_cannon_flash_02_emit.bp',
        '/effects/emitters/oblivion_cannon_flash_03_emit.bp',
    },
    
}

Abyss = Class(AStructureUnit) {
    Weapons = 
	{
        MainGun = Class(ADFCannonOblivionWeapon) 
		{
                CreateProjectileAtMuzzle = function(self, muzzle)
			numProjectiles = 10
			for i = 0, (numProjectiles -1) do
	                    local proj = ADFCannonOblivionWeapon.CreateProjectileAtMuzzle(self, muzzle)
	                    local data = {
	                        Radius = self:GetBlueprint().CameraVisionRadius or 5,
	                        Lifetime = self:GetBlueprint().CameraLifetime or 5,
	                        Army = self.unit:GetArmy(),
	                    }
	                    if proj and not proj:BeenDestroyed() then
	                        proj:PassData(data)
	                    end
			end
                end,
		}
	},
}

TypeClass = Abyss